import React,{Component} from 'react'

import { Form, Input, DatePicker,Row, Col,Button,Icon ,Select} from 'antd';

import {InputSize,Currency,FormatAmount,mt320_14D} from "./Utils"

const FormItem = Form.Item;
const Option = Select.Option

export default class T14D extends Component
{

    name='14D'
    desp = "Day Count Fraction"
    
    pattern = ""
    tno = -1
    onChange=(val)=>{
        this.props.onValue([{s1:val},val])
    }

    render()
    {
        let value =this.props.value

        let mval = value && value.length? value[1] : ''
        let errmsg = value && value.length==3?value[2]:{}

        value = value && value.length? value[0] : {}
        return (<Row>
            <Col  span={5}>
                <FormItem
                    
                    help={errmsg.s1}
                 validateStatus={errmsg.s1?'error':null}
                >
                           <Select size={InputSize} 
                           placeholder={this.props.desp}
                           showSearch
                           allowClear={true}
                            optionFilterProp="children"
                            notFoundContent="Wrong Code"
                            style={{ width: "100%" }} value={value.s1} onChange={val=>this.onChange(val)} >
                                {
mt320_14D.map(item=><Option key={item.code}  value={item.code}>{item.code+'-'+item.name}</Option>)
}
                            </Select>
                </FormItem>
            </Col>
        </Row>)
    }
}